﻿$(document).ready(function() {
	// Umschalten zwischen Spiel und Dokumentation
	$("#switch").click(function(){
		$(".content-page").toggle("hidden");
		if ($("#switch").html() == "Spielen")
			$("#switch").html("Dokumentation");
		else
			$("#switch").html("Spielen");
	});
	// Dynamischer Aufbau des Spielfelds
	var gameTable = $("#game");
	function getCellID(blockrow, blockcol, row, col){
		return ((blockrow-1)*3 + row) + "-" + ((blockcol-1)*3 + col);
	}
	for (var blockrow = 1; blockrow <= 3; blockrow++){
		var bRow = $("<tr>");
		for (var blockcol = 1; blockcol <= 3; blockcol++){
			var bCol = $("<td id='"+"b"+blockrow+"-"+blockcol+"'>");
			var bTable = $("<table>");
			for (var row = 1; row <= 3; row++){
				var cRow = $("<tr>");
				for (var col = 1; col <= 3; col++){
					var cCol = $("<td>");
					cCol.append($("<input id='"+getCellID(blockrow, blockcol, row, col)+"' class='field' type='text'>"));
					cRow.append(cCol);
				}
				bTable.append(cRow);
			}
			bCol.append(bTable);
			bRow.append(bCol);
		}
		gameTable.append(bRow);
	}
	// "Aktiv"-Markierung
	$(".field").click(function(){
		$(".field").removeClass("active");
		$(this).addClass("active");
	});
	// Eingabevalidierung
    $(".field").on("input", function(){
		if ($(this).val().match("[1-9]") != $(this).val())
			$(this).val("");
	});
	// Startbelegung
	$("#start").click(function(){
		for (var x = 1; x <= 9; x++){
			for(var y = 1; y <= 9; y++){
				$("#"+x+"-"+y).val(Math.floor(Math.random()*9+1));
			}
		}
	});
});